<?php

include("cabecera.php");
$hoy = @date('Y-m-d');
////date_default_timezone_set('America/Los_Angeles');
?>
<style>
.form-control{
	font-weight:bolder;
	@font-size:16px;
}

td{
	font-size:16px;
}
	
	body{
		background: #E1E1E1;
		
	}
</style>	

	<br>	
<div class="container" style="padding:18px; background: white;">

 <img src="img2/dinero.png" width="60" style="margin-bottom:0px"><span class="text-primary h3"> Registro de cobros</span><br><br>
   
					
<div class="row">
<div class="col-md-1 mt-2">      
  <b>Fechas</b>
</div>

<div class="col-md-2 mt-2">
 <input type="date" id="fecha1" value="<?php echo $hoy?>" class="form-control">
</div>

<div class="col-md-2 mt-2">
<input type="date" id="fecha2" value="<?php echo $hoy?>" class="form-control">
 </div>
 
 
<div class="col-md-6 mt-2">
<button onClick="lista_cobros()" class="btn btn-ubuntu"> 
	   <i class="bi bi-search"></i>	
	 Consultar </button>
	 
	 <button data-toggle="modal" data-target="#modalPrestamos" class="btn btn-secondary"> 
	   <i class="fa fa-address-card"></i>	
	 Registrar nuevo cobro</button>

	<button onClick="window.location.href='index.php'" class="btn  btn-light"> 
	   <i class="fa fa-home"></i>	
	 Salir</button>
	 
</div>
					
</div>
	
<br>

<div class="form text-success h4" >
	<strong class="text-rojo">Cobros: </strong> <i class="
glyphicon glyphicon-list-alt"></i> <span class="text-verde" id='cantidad'>0.00</span> |

	
	 | <strong class="text-rojo"> Redito: </strong> 
	 <span class="text-verde" id='redito'>0.00</span>
	 | <strong class="text-rojo"> Capital: </strong> 
	 <span class="text-verde" id='capital'>0.00</span>
	 | <strong class="text-rojo"> Interes: </strong> 
	 <span class="text-verde" id='interes'>0.00</span>
	 | <strong class="text-rojo"> Comision: </strong> 
	  <span class="text-verde" id='comision'>0.00</span>
	 
	

	  | <strong class="text-rojo"> Mora: </strong> 
	<i class="
glyphicon glyphicon-usd"></i>
	 <span class="text-verde" id='mora'>0.00</span>
	 	| <strong class="text-rojo"> TOTAL: </strong> 
	<i class="
glyphicon glyphicon-usd"></i>
	 <span class="text-verde" id='total'>0.00</span>

</div>

  <hr>	

	 	

<div class="row mb-2">
    <div class="col-md-1 mt-2">
      <strong>Buscar</strong>
      </div>
      
      <div class="col-md-3 mt-2">
	 <input type="text" class="form-control form-control" id="nombre" placeholder="Buscar cliente por nombre" onKeyUp="lista_cobros()" >
	
	 
	 </div>
	 
	  <div class="col-md-3 mt-2">
	  <div id="combo_usuarios">
	  
	  </div>
	
	 
	 </div>

	</div> 
<div class="row">
<div class="col-md-12">
	    <div class="table-responsive" id="lista">
		
		</div>
	
</div>
</div>
		
</div>	
	

		
				
				

<div>
</div>
 
<div>
<br>
	
	
	
	
	

	</div>

</div>



<!-- Modal lista cliente-->
<div class="modal fade" id="modalPrestamos" tabindex="-1" role="dialog" data-keyboard="false" data-backdrop="static" aria-labelledby="exampleModalScrollableTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-scrollable" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalScrollableTitle"> Seleccionar prestamo</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
          <div class="form">
                <div class="form-group">
                     <input type="text" class="form-control form-control-sm" id="txtBuscar" placeholder="Busqueda por nombre" onKeyUp="listaPrestamos(this.value)">
                </div>
            </div>
        <div id="listaPrestamos">
            
        </div>
      </div>
      <div class="modal-footer">
    
      </div>
    </div>
  </div>
</div>


<script>
llenar_usuarios();
function llenar_usuarios(){
	////activo("no");
	var accion = "cobradores";
	$.get("src/combos.php?accion="+accion,function(data,st){
		
		if(st=="success"){
			$("#combo_usuarios").html(data);
			$("#cobrador0").click(function(){
				lista_cobros();
			});
			///activo("si");
			
		}
	});
}



lista_cobros();
/*Lista de cobros*/
function lista_cobros(){

	var fecha1 = $("#fecha1").val();
	var fecha2 = $("#fecha2").val();
	var cobradores = $("#cobrador0").val();
	var nombre = $("#nombre").val();//$("#fecha1").val();
	$.get("src/f_cobros.php?accion=lista_cobros&nombre="+nombre+"&fecha1="+fecha1+"&fecha2="+fecha2+"&cobrador="+cobradores,function(data,st){
		if(st=="success"){
			var datos = JSON.parse(data);
			/////$("#abono").html(datos.abono);
			$("#redito").html(datos.redito);
			$("#capital").html(datos.capital);
			$("#interes").html(datos.interes);
			$("#comision").html(datos.comision);
			$("#mora").html(datos.mora);
			$("#total").html(datos.total);
			$("#ganancia").html(datos.ganancia);
			$("#cantidad").html(datos.cantidad);
			//$("#cantidad").html(datos.cantidad);
			$("#lista").html(datos.tabla);
	
			////pagination();
		}
	})

}



/*Paginacion*/
	function pagination(){
		var req_num_row=10;

		var $tr=jQuery('tbody tr');
		var total_num_row=$tr.length;
		var num_pages=0;
		if(total_num_row % req_num_row ==0){
			num_pages=total_num_row / req_num_row;
		}
		if(total_num_row % req_num_row >=1){
			num_pages=total_num_row / req_num_row;
			num_pages++;
			num_pages=Math.floor(num_pages++);
		}
		for(var i=1; i<=num_pages; i++){
			jQuery('#pagination').append(" "+"<a href='javascript:void(0)'>"+i+"</a>");
		}
		$tr.each(function(i){
			jQuery(this).hide();
			if(i+1 <= req_num_row){
				$tr.eq(i).show();
			}
		
		});
		jQuery('#pagination a').click(function(e){
			e.preventDefault();
			$tr.hide();
			var page=jQuery(this).text();
			var temp=page-1;
			var start=temp*req_num_row;
			//alert(start);
			
			for(var i=0; i< req_num_row; i++){
				
				$tr.eq(start+i).show();
			
			}
		});
	}


/*Seleccionar cliente*/
function get_prestamo(id){
try{	
	    limpiar();
		var accion = "get_prestamo";
		var url="src/f_prestamo.php?id="+id+"&accion="+accion;
		$.get(url,function(data,st){
			if(st=="success"){
				var datos = JSON.parse(data);
				$("#nombre").val(datos.nombre);
				$("#cedula").val(datos.cedula);
				$("#telefono").val(datos.telefono);
				$("#direccion").val(datos.direccion);
				$("#ocupacion").val(datos.ocupacion);
				$("#email").val(datos.email);
				$("#id").val(datos.id_cliente);
				var co = datos[9];
				var ru = datos[10]
				
				$("#cobrador0 option[value='"+co+"']").prop('selected', true);
				$("#ruta0 option[value='"+ru+"']").prop('selected', true);
				
				
				
			}
		});
	}catch(e){
		alert(e.message+"\n"+e.description+"\n"+e.stractrace);
	}
}


/*Grabar cliente*/
function grabar_cliente(){
	var id_cliente=	$("#id").val();
	var nombre=	$("#nombre").val();
	var cedula=	$("#cedula").val();
	var telefono=$("#telefono").val();
	var direccion=$("#direccion").val();
	var ocupacion=$("#ocupacion").val();
	var cobrador=$("#cobrador0").val();
	var ruta=$("#ruta0").val();
	var email=$("#email").val();

	
	var parametros = "id_cliente="+id_cliente+"&nombre="+nombre+"&cedula="+cedula+"&telefono="+telefono+"&direccion="+direccion+"&ocupacion="+ocupacion+"&email="+email+"&cobrador="+cobrador+"&ruta="+ruta+"&accion=grabar";
	if(nombre=="" || cedula==""){
		alert("Datos incompletos");
		return; 
	}
	
activo("no");	
var url="src/f_clientes.php?"+parametros;
$.get(url,function(data,st){
	
	if(st=="success"){
	if(data==1){
		alert("registro grabado");
		activo("si");
		limpiar();
			
		}else{
			alert(data);
			activo("si");
	}
		
	}

});
		
}










/*Llenar select rutas*/
function llenar_ruta(){
	
	var accion = "rutas";
	$.get("src/combos.php?accion="+accion,function(data,st){
		
		if(st=="success"){
			$("#ruta").html(data);
			
		}
	});
}


/*Llenar select cobradores*/
function llenar_cobradores(){
	activo("no");
	var accion = "cobradores";
	$.get("src/combos.php?accion="+accion,function(data,st){
		
		if(st=="success"){
			$("#cobrador").html(data);
			activo("si");
			
		}
	});
}

llenar_cobradores();
llenar_ruta();


/*Limpiar campos*/
function limpiar(){

				$("#nombre").val("");
				$("#cedula").val("");
				$("#telefono").val("");
				$("#direccion").val("");
				$("#ocupacion").val("");
				$("#email").val("");
				$("#id").val("");
				var co = "";
				var ru = "";
				
				$("#cobrador0 option[value='"+co+"']").prop('selected', true);
				$("#ruta0 option[value='"+ru+"']").prop('selected', true);
}






/*Eliminar cliente*/
function eliminar(){
	var id = parseInt($("#id").val());
	if(isNaN(id) || id<=0 || id==""){
		alert("*****|  Debe seleccionar un registro |*****");
		return;
	}

	if(confirm("**** SEGURO QUE DESEA ELIMINAR ESTE REGISTRO? ****")){/**/}else{return;}
    	activo("no");
	var accion = "eliminar";
	$.get("src/f_prestamo.php?id="+id+"&accion="+accion,function(data,st){
		if(st=="success"){
			if(data==1){
				alert("!Resgistro eliminado");
				activo("si");
				limpiar();
		    }else{
		    	alert(data);
				activo("si");
		    }
			
		}
	});


}







/*Activar y desactivar botones*/
function activo(valor){
	if(valor=="si"){
		$(".btn").prop("disabled",false);
	}else{
		$(".btn").prop("disabled",true);
	}
}



function listaPrestamos(nombre){
     
    $.ajax({
        url:"lista_prestamos.php",
        type:"POST",
        data:{nombre:nombre},
        success:function(data){
            data = JSON.parse(data);
       
                $("#listaPrestamos").html(data["tabla"]);

        }
    });
}


</script>



